"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MetasModule = void 0;
const axios_1 = require("@nestjs/axios");
const common_1 = require("@nestjs/common");
const mongoose_1 = require("@nestjs/mongoose");
const meta_service_1 = require("./meta.service");
const meta_schema_1 = require("./meta.schema");
const meta_controller_1 = require("./meta.controller");
let MetasModule = class MetasModule {
};
MetasModule = __decorate([
    common_1.Module({
        imports: [
            mongoose_1.MongooseModule.forFeature([{ name: 'Meta', schema: meta_schema_1.MetaSchema }]),
            axios_1.HttpModule
        ],
        exports: [meta_service_1.MetaService],
        controllers: [meta_controller_1.Metacontroller],
        providers: [meta_service_1.MetaService]
    })
], MetasModule);
exports.MetasModule = MetasModule;
//# sourceMappingURL=meta.module.js.map