"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MetaService = void 0;
const mongoose_1 = require("mongoose");
const common_1 = require("@nestjs/common");
const mongoose_2 = require("@nestjs/mongoose");
let MetaService = class MetaService {
    constructor(metaModel) {
        this.metaModel = metaModel;
    }
    async findOneByMeta(meta) {
        return await this.metaModel.findOne({ key: meta });
    }
    async createOrUpdate(_key, _meta) {
        console.log({ _meta });
        return await this.metaModel.findOneAndUpdate({ key: _key }, { data: _meta }, { upsert: true, new: true, setDefaultsOnInsert: true });
    }
};
MetaService = __decorate([
    common_1.Injectable(),
    __param(0, mongoose_2.InjectModel('Meta')),
    __metadata("design:paramtypes", [mongoose_1.Model])
], MetaService);
exports.MetaService = MetaService;
//# sourceMappingURL=meta.service.js.map