import { Controller, Get, Post, Body, UseGuards, Patch, Header, Req } from '@nestjs/common';
import { AuthGuard } from '@nestjs/passport';
import { META_CONSTANTS } from './meta.constants';
import { Meta } from './meta.model';
import { MetaService } from './meta.service';
@Controller('meta')
export class Metacontroller {

    constructor(private usersService: MetaService) {

    }

    // @Get('search-keys') 
    @Get('search-keys') 
    async getSearchMeta(@Body() getSearchMeta: Meta) {
        return await this.usersService.findOneByMeta(META_CONSTANTS.searchKeysMeta);
    }

}