import * as mongoose from 'mongoose';
import * as bcrypt from 'bcrypt';
import { MetaDoc } from './meta.model';

mongoose.set('useNewUrlParser', true);
mongoose.set('useFindAndModify', false);
mongoose.set('useCreateIndex', true);


export const MetaSchema = new mongoose.Schema<MetaDoc>({
    key: {
        type: String,
        unique: true,
        required: true
    },
    data: {
        type: Object,
        unique: false,
        required: true
    }
});
