"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MetaSchema = void 0;
const mongoose = require("mongoose");
mongoose.set('useNewUrlParser', true);
mongoose.set('useFindAndModify', false);
mongoose.set('useCreateIndex', true);
exports.MetaSchema = new mongoose.Schema({
    key: {
        type: String,
        unique: true,
        required: true
    },
    data: {
        type: Object,
        unique: false,
        required: true
    }
});
//# sourceMappingURL=meta.schema.js.map