/// <reference types="mongoose" />
import { HttpService } from '@nestjs/axios';
import { Property } from './property.model';
import { PropertyService } from './property.service';
import { MetaService } from 'src/meta/meta.service';
export declare class PropertyController {
    private propertyService;
    private httpService;
    metaService: MetaService;
    constructor(propertyService: PropertyService, httpService: HttpService, metaService: MetaService);
    createUpdateProperty(oldData: any, newData: any): Promise<(Property & import("mongoose").Document<any, any, Property>)[]>;
    patchNewProperty(patchproperty: Property): Promise<void>;
    getAllProperties(params: any): Promise<any>;
    getAllPropertiesFiltered(params: any): Promise<any>;
    getSingleProperty(reference_number: any): Promise<any>;
}
