import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { AppController } from './app.controller';
import { AppService } from './app.service';
import { AuthModule } from './auth/auth.module';
import { UsersModule } from './users/users.module';
import { PropertysModule } from './properties/property.module';
import { MetasModule } from './meta/meta.module';

@Module({
  imports: [
    AuthModule, 
    UsersModule,
    PropertysModule,
    MetasModule,
    MongooseModule.forRoot(
      'mongodb+srv://rk-admin:HFhYIwqHn7TlDOnL@cluster0.4ekjb.mongodb.net/RK_Properties?retryWrites=true&w=majority',
    ),
  ],
  controllers: [AppController],
  providers: [AppService],
})
export class AppModule {}
