import { Model } from 'mongoose';
import { Injectable } from '@nestjs/common';
import { InjectModel } from '@nestjs/mongoose';

@Injectable()
export class MetaService {

  constructor(@InjectModel('Meta') private metaModel: Model<any>) {}

  async findOneByMeta(meta) : Promise<any>{
    return await this.metaModel.findOne({key: meta})
  }


  async createOrUpdate(_key, _meta) : Promise<any>{
    console.log({_meta})
    return await this.metaModel.findOneAndUpdate({key: _key}, {data: _meta}, { upsert: true, new: true, setDefaultsOnInsert: true })
  }

}