export interface Property {
    last_update?: string;
    permit_number?: string;
    reference_number?: string;
    offering_type?: string;
    property_type?: string;
    price_on_application?: string;
    price?: Number;
    city?: string;
    community?: string;
    sub_community?: string;
    title_en?: string;
    description_en?: string;
    completion_status?: string;
    amenities?: string;
    size?: string;
    bedroom?: number;
    bathroom?: number;
    agent?: Object;
    developer?: string;
    parking?: string;
    furnished?: string;
    photo?: Object;
    geopoints: string
}


export interface PropertyDoc extends Document {
    last_update?: string;
    permit_number?: string;
    reference_number?: string;
    offering_type?: string;
    property_type?: string;
    price_on_application?: string;
    price?: Number;
    city?: string;
    community?: string;
    sub_community?: string;
    title_en?: string;
    description_en?: string;
    completion_status?: string;
    amenities?: string;
    size?: string;
    bedroom?: string;
    bathroom?: number;
    agent?: Object;
    developer?: string;
    parking?: string;
    furnished?: string;
    photo?: Object;
    geopoints: string
  }
